module AR
  module Game

    class Invisible < PhysicalObject
      def initialize id=nil
        super 
        add_behavior AR::Game::Gateway
      end


      #sort of just a way to 'include' these classes, so you don't
      #need to fully qualify them.  There must be a better way...
      class Story < AR::Game::StoryBehavior::Story
      end
      class StoryImplement < AR::Game::StoryBehavior::StoryImplement
      end

    end



  end
end
